eds-sync (3.20080313) unstable; urgency=low

  * Check GErrors before using them. That's a) good habit and b) necessary in order
    to avoid crashers when calling methods on dead GProxies. We should handl
    this correctly, by connecting to "destroy", but that requires a bit of
    re-design first. Fixes: NB#78597, NB#82480

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 13 Mar 2008 17:35:17 +0200

eds-sync (2.20071207) unstable; urgency=low

  * Don't abort if there is no publish-group; instead give warnings whenever a publish-group
    would be required. This should give us compatibiltiy with haze.
  * Don't crash if mission_control_get_account_for_connection returns NULL, but does not set
    GError; Fixes: NB#75369
  * Fix unsigned int comparison bug, that would result in just downloaded avatars being
    expired. Also use atime instead of mtime to determine whether an avatar is no longer in
    use; Fixes: NB#75048

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  7 Dec 2007 13:04:19 +0200

eds-sync (2.20070913) unstable; urgency=low

  * Fix my stupidity

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Thu, 13 Sep 2007 13:07:51 +0300

eds-sync (2.20070911) unstable; urgency=low

  * Handle known avatars better (Fixes: NB#61341)
  * Don't remove manual contacts which have been blocked

 -- Ross Burton <ross@openedhand.com>  Tue, 11 Sep 2007 16:04:59 +0100

eds-sync (2.20070711) unstable; urgency=low

  * Treat empty tokens as "unknown whether there is an avatar", not
    as "we know there is no avatar"; this will break clearing of avatars
    but unbreak caching
  * Fixes: NB#55556, NB#59600, NB#60972, NB#52014, NB#62836
  * Correctly handle the case where a telepathy handle is refered to by
    multiple eds contacts
  * Fixes: NB#49582, NB#49600, NB#49614, NB#58406

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Wed, 11 Jul 2007 17:14:54 +0300

eds-sync (2.20070706.1) unstable; urgency=low

  * Rewrite all of the avatar code, should perform a lot faster now.

 -- Ross Burton <ross@openedhand.com>  Fri,  6 Jul 2007 14:25:31 +0100

eds-sync (2.20070706) unstable; urgency=low

  * Fix small typo that prevented the whole thing from working;
    Remove avatar if we get an empty token instead of firing

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Fri,  6 Jul 2007 10:41:49 +0300

eds-sync (2.20070705) unstable; urgency=low

  * Use RequestAvatars for faster avatar fetching
  * Sync known members (Fixes: NB#56585)

 -- Ross Burton <ross@openedhand.com>  Thu,  5 Jul 2007 11:38:34 +0100

eds-sync (2.20070604) unstable; urgency=low

  * Store the avatars on disk using the VCard field for the service instead of the bound account (Emmanuele).
  * Don't try committing an empty list of contacts (Ross)
  * Replace bound-account username with normalized version in syncroniced vcards if necessary (Joergen)
  * Fix distcheck by forcing the dummy notification system (Ross)

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon,  4 Jun 2007 15:35:34 +0300

eds-sync (2.20070531) unstable; urgency=low

  * Handle duplicate contacts (Fixes: NB#50074)
  * Do batch commits
  * Set the alias when adding contacts to the rosters

 -- Ross Burton <ross@openedhand.com>  Thu, 31 May 2007 15:34:39 +0300

eds-sync (2.20070518) unstable; urgency=low

  * Fix avatar fetching when the index file doesn't exist.

 -- Ross Burton <ross@openedhand.com>  Fri, 18 May 2007 14:36:27 +0100

eds-sync (2.20070507) unstable; urgency=low

  * Do not try to download avatars we already have in the cache on every run
  * Use async libtelepathy-call to download avatars, because this call will
    not return before the avatar is downloaded from the server
  * Use tp_conn_new_without_connect instead of tp_conn_new
  * fix some crashes and failed asserts

 -- Joergen Scheibengruber <Jorgen.Scheibengruber@nokia.com>  Mon,  7 May 2007 16:26:12 +0300

eds-sync (2.20070503) unstable; urgency=low

  * Abstract notification, so osso-contact-plugin isn't a hard dependency.

 -- Ross Burton <ross@openedhand.com>  Thu,  3 May 2007 10:34:57 +0100

eds-sync (2.20070501) unstable; urgency=low

  * Store multiple contact UID in the account-to-contact map
  * Clean up the code base
  * Do not leak private data structures when finalizing
  * Return better error messages
  * Remove compilation warnings and add more header guards

 -- Emmanuele Bassi <ebassi@openedhand.com>  Tue,  1 May 2007 11:15:58 +0100

eds-sync (2.20070403) unstable; urgency=low

  * Fix avatar cache update and expiration.

 -- Emmanuele Bassi <ebassi@openedhand.com>  Tue,  3 Apr 2007 16:55:58 +0100

eds-sync (2.20070326.1) unstable; urgency=low

  * removed dependency on the deprecated package 'mission-control'

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Mon, 26 Mar 2007 18:34:36 +0300

eds-sync (2.20070326) unstable; urgency=low

  * Fix manual contact last-used calculation
  * Optionally depend on osso-contact-plugin

 -- Ross Burton <ross@openedhand.com>  Mon, 26 Mar 2007 13:54:58 +0100

eds-sync (2.20070305) unstable; urgency=low

  * Initial support for manual contacts.

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Mar 2007 16:24:06 +0000

eds-sync (2.20070213) unstable; urgency=low

  * Use the right function when freeing a list (fixes a crasher)
  * Don't spew warnings when the avatar cache doesn't exist yet
  * Poke mission-control when the self avatar changes

 -- Ross Burton <ross@openedhand.com>  Tue, 13 Feb 2007 15:52:42 +0000

eds-sync (2.20070205) unstable; urgency=low

  * Expire old avatars
  * Emit a signal when an avatar has changed
  * Change avatar cache policy -- a key file not stores a username->token
    map.

 -- Ross Burton <ross@openedhand.com>  Mon,  5 Feb 2007 17:10:59 +0000

eds-sync (2.20070119) unstable; urgency=low

  * Delete unset avatars
  * Cache the result from inspect handle calls

 -- Ross Burton <ross@openedhand.com>  Fri, 19 Jan 2007 16:00:16 +0000

eds-sync (2.20070118) unstable; urgency=low

  * Update for new MC API

 -- Ross Burton <ross@openedhand.com>  Thu, 18 Jan 2007 17:29:14 +0000

eds-sync (2.20070109) unstable; urgency=low

  * Basic implementation of avatars syncing. This doesn't expire unused
    avatars but its a start.
  * Update API for and depend on libmissioncontrol 4.1, libtelepathy 0.0.40.

 -- Ross Burton <ross@openedhand.com>  Tue,  9 Jan 2007 17:24:50 +0000

eds-sync (1.20061130) unstable; urgency=low

  * Don't listen to non-contact list channels (Fixes: NB#48793)

 -- Ross Burton <ross@openedhand.com>  Thu, 30 Nov 2006 12:06:17 +0000

eds-sync (1.20061124.1) unstable; urgency=high

  * revert possibly dangerous change in eds.c on blocking

 -- Onne Gorter <onne.gorter@nokia.com>  Tue, 24 Nov 2006 17:00:00 +0200

eds-sync (1.20061124) unstable; urgency=high

  * Adding a BLOCKED state for contacts, so blocking changes while device is
    offline will sync correctly, Fixes NB#46633, NB#48153
  * Checking more correctly when a contact is empty and good to delete, Fixes
    NB#46570, NB#47826

 -- Onne Gorter <onne.gorter@nokia.com>  Tue, 24 Nov 2006 16:00:00 +0200

eds-sync (1.20061121) unstable; urgency=high

  * Use mission control instead of telepathy to figure out accountname
    for connection. Should fix issues with IVC (NB#43635, NB#47576, NB#47569
    and NB#47584)

 -- Joergen Scheibengruber <jorgen.scheibengruber@nokia.com>  Tue, 21 Nov 2006 11:00:00 +0200

eds-sync (1.20061107) unstable; urgency=low

  * first run is handled specially, so more contacts are known local_handles.
    Fixes: NB#42953, NB#46537
  * check gerror existance in async callback, fixes (mostly debugging
    scenarios) when going online/offline real quickly

 -- Onne Gorter <onne.gorter@nokia.com>  Tue, 7 Nov 2006 11:00:00 +0200

eds-sync (1.20061027) unstable; urgency=low

  * removed backtracing, partly fixes NB#45025
  * fixed potential crasher on second run of eds-sync on rtcom operations

 -- Onne Gorter <onne.gorter@nokia.com>  Tue, 27 Oct 2006 17:00:00 +0200

eds-sync (1.20061003.2) unstable; urgency=low

  * rtcom-cp-interface.h moved from libosso-rtcom-dev to osso-contact-
    plugin-dev

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 19 Oct 2006 15:46:45 +0300

eds-sync (1.20061003.1) unstable; urgency=low

  * As libosso-rtcom 1.0.0 is binary incompatible with older versions
    we need to recompile eds-sync, so version bumped up

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Tue, 17 Oct 2006 15:08:32 +0300

eds-sync (1.20061003) unstable; urgency=low

  * revert a silly thing that prevents eds-sync from creating new addressbook

 -- Onne Gorter <onne.gorter@nokia.com>  Tue, 3 Oct 2006 17:00:00 +0200

eds-sync (1.20060928) unstable; urgency=low

  * only add bound contacts to handle->uid hash, fixes NB#40439
  * connect to correct deny list, instead of block list, should really fix NB#26053

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 28 Sep 2006 17:00:00 +0200

eds-sync (1.20060922) unstable; urgency=low

  * implemented better debugging, please use `EDS_SYNC_DEBUG=all` that will
    keep eds-sync around, and output every debug.
  * added block list support Fixes: NB#26053

 -- Onne Gorter <onne.gorter@nokia.com>  Fri, 22 Sep 2006 17:00:00 +0200

eds-sync (1.20060831) unstable; urgency=low

  * compatible with latest libtelepathy and telepathy spec
  * plugged a small leak, and fixed potential bug on known list

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 31 Aug 2006 17:00:00 +0200

eds-sync (1.20060818) unstable; urgency=low

  * refactored merge_bound out, which was redundant and causing bug. Fixes:
    NB#37436
  * Connect properly to channel "Closed" signal, Fixes: NB#35157, NB#33424,
    NB#37638
  * Automatically try to give contacts our presence, if they authorize us
    (doesn't work though). And vice versa, if contacts already give us their
    presence, and request ours, we give it without asking the user. Fixes
    NB#37020
  * no longer hardcode jabber anywhere, Fixes: NB#31703

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 16 Aug 2006 16:00:00 +0200

eds-sync (1.20060718) unstable; urgency=low

  * refactoring publish and subscribe list into one
  * fixes NB#30886 rejected authorization pops up in every login
  * fixes NB#30409 Authorization request rejected information note is not
    displayed
  * deleting a contact, will end that contact subscribtion, even without known
    list
  * eds-sync no longer goes around in circles with a unkown handle in
    telepathy
  * more enhancements, like no longer duplicating changed addresses in
    contacts, or temporarely reappearing addresses that the user just deleted

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 18 Jul 2006 12:00:00 +0200

eds-sync (1.20060710-1) unstable; urgency=low

  * Add debug symbols package.

 -- Ross Burton <ross@openedhand.com>  Thu, 13 Jul 2006 16:03:57 +0100

eds-sync (1.20060620) unstable; urgency=low

  * Release for IT2007

 -- Ross Burton <ross@openedhand.com>  Tue, 20 Jun 2006 16:47:30 +0100

eds-sync (0.20060615) unstable; urgency=low

  * denying authorization request removes contact from known list Fixes: NB#32667
  * editing contact address, no longer tries to remove all addresses, only the
    changed one
  * editing addresses, removes TODELETE address from remote server properly,
    and then removes those from the contact
  * added more stability by NULL-ing GErrors that can possibly be reused

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 15 Jun 2006 17:00:00 +0200

eds-sync (0.20060609) unstable; urgency=low

  * 32371 signing in online can create duplicates of existing contacts

  also:
  logs a lot more when enabled on eds incoming and such
  delete more contacts permanently when they have unbound addresses

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 9 Jun 2006 16:00:00 +0200

eds-sync (0.20060607) unstable; urgency=low

  * 30844 Many authorization requests shown in list

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 7 Jun 2006 16:00:00 +0200

eds-sync (0.20060606-1) unstable; urgency=low

  * 31861 [regression] sometimes contact presence is not visible after ...

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 6 Jun 2006 14:00:00 +0200

eds-sync (0.20060606) unstable; urgency=low

  * 31633 Deleting contact using PC client, removes address from 770
  * 31932 eds-sync crashing after first contact imported

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 6 Jun 2006 14:00:00 +0200

eds-sync (0.20060601) unstable; urgency=low

  * 30902 Not authorized contacts are not loaded to AB
  * 30996 After denying the authorization request user canno...
  * 30881 Jabber field with information about jabber account...

  known issues:
  Ignores non-automatic contact and removes address from ab allways, instead
  of removing bound
  Deleting someone from addressbook does not actually remove him from roster
  contact list

 -- Onne Gorter <onne.gorter@nokia.com>  Thu, 1 Jun 2006 23:00:00 +0200

eds-sync (0.20060531) unstable; urgency=low

  * 30408 Authorization request accepted information note
  * 30409 Authorization request rejected information note
  * 30507 Authorized remote contact is not added to address book
  * 30886 Rejected authorization request pops up in every login

  added some more logic, and now using subscribed list to listen for auth
  rejected or accepted messages

 -- Onne Gorter <onne.gorter@nokia.com>  Mon, 31 May 2006 22:00:00 +0200

eds-sync (0.20060530) unstable; urgency=low

  * use new aliasing interface of libtelepathy
  * bug fixed:
  30930 Remove contact is in address book as "unnamed"
  30863 The contacts are not imported from buddy list if previous...
  * move to new versioning scheme

 -- Onne Gorter <onne.gorter@nokia.com>  Mon, 29 May 2006 12:07:57 +0100

eds-sync (0.19-1osso1) unstable; urgency=low

  * don't use aliasing interface of libtelepathy as this was removed

 -- Onne Gorter <onne.gorter@nokia.com>  Mon, 29 May 2006 12:07:57 +0100

eds-sync (0.18-1osso1) unstable; urgency=low

  * Exit when there are no channels left (#30646)
  * Don't leak rtcom objects
  * Build-dep on a newer eds
  * Fix the contact and field state accessors to avoid writing invalid vcards
  * Attempt to sync contacts even if only the contact state changed
  * Don't hardcode Jabber as much
  * Don't store EContacts for later, but fetch them later. Fixes data loss with multiple accounts.

 -- Ross Burton <ross@openedhand.com>  Thu, 25 May 2006 17:07:57 +0100

eds-sync (0.17-1osso1) unstable; urgency=low

  * Really add new fields to existing contacts (#30238)

 -- Ross Burton <ross@openedhand.com>  Mon, 22 May 2006 17:49:35 +0100

eds-sync (0.16-1osso1) unstable; urgency=low

  * Only sync local IM fields if they are bound correctly (#29164)

 -- Ross Burton <ross@openedhand.com>  Fri, 19 May 2006 15:37:45 +0100

eds-sync (0.15-1osso1) unstable; urgency=low

  * WARNING: untested changes as my scratchbox is broken. We'll see...
  * Don't add contacts if authorisation was refused (#29091)
  * Add new IM fields to existing contacts if it can (#27843)
  * Delete contacts that have been deleted from the roster (#26861)

 -- Ross Burton <ross@openedhand.com>  Thu, 18 May 2006 18:21:23 +0100

eds-sync (0.14.1-1osso1) unstable; urgency=low

  * Fix syncing

 -- Ross Burton <ross@openedhand.com>  Wed, 10 May 2006 15:10:06 +0100

eds-sync (0.14-1osso1) unstable; urgency=low

  * Add contacts that are remote pending (#27845)
  * Don't crash on channel close

 -- Ross Burton <ross@openedhand.com>  Tue,  9 May 2006 14:42:20 +0100

eds-sync (0.13-1osso1) unstable; urgency=low

  * Notify when a user authorises us (#27844)

 -- Ross Burton <ross@openedhand.com>  Thu,  4 May 2006 17:53:51 +0100

eds-sync (0.12-1osso1) unstable; urgency=low

  * Don't crash on members_changed
  * Try and bind any unbound accounts

 -- Ross Burton <ross@openedhand.com>  Tue,  2 May 2006 18:11:12 +0100

eds-sync (0.11-1osso1) unstable; urgency=low

  * Output the number of members in lists in callbacks
  * Add to the roster contacts marked TOADD
  * Don't set the contact name if we don't know it, or its the same as the UID
  * Don't leak the Alias proxy

 -- Ross Burton <ross@openedhand.com>  Fri, 28 Apr 2006 13:06:37 +0100

eds-sync (0.10-1osso1) unstable; urgency=low

  * Use standard debugging macros and EDS_SYNC_DEBUG. If you want all
    debugging export EDS_SYNC_DEBUG=events:handles.
  * Don't re-sync for every contact we add when syncing

 -- Ross Burton <ross@openedhand.com>  Fri, 21 Apr 2006 12:24:27 +0100

eds-sync (0.9-1osso1) unstable; urgency=low

  * Allow the addressbook to be created if it doesn't exist
  * Disconnect from old proxies to avoid double connections

 -- Ross Burton <ross@openedhand.com>  Thu, 20 Apr 2006 17:33:54 +0100

eds-sync (0.8-1osso1.1) unstable; urgency=low

  * libosso-rtcom-dev added to Deps

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Thu, 20 Apr 2006 11:12:43 +0300

eds-sync (0.8-1osso1) unstable; urgency=low

  * Allow thumb builds
  * Listen to the publish channel and pass authorisation requests on
  * Refactor code

 -- Ross Burton <ross@debian.org>  Tue, 18 Apr 2006 16:36:48 +0100

eds-sync (0.7-1osso1) unstable; urgency=low

  * New release
    - Fix thinkos in eds code, should fix lots of warnings

 -- Ross Burton <ross@openedhand.com>  Wed,  5 Apr 2006 16:01:02 +0300

eds-sync (0.6-1osso1) unstable; urgency=low

  * New release
    - Uses the GObject bindings to be a nicer DBus citizen

 -- Ross Burton <ross@openedhand.com>  Wed,  5 Apr 2006 15:50:17 +0300

eds-sync (0.5-1osso1) unstable; urgency=low

  * New release
  - Includes a DBus service file

 -- Ross Burton <ross@openedhand.com>  Tue, 28 Mar 2006 12:49:01 +0100

eds-sync (0.4-1osso1) unstable; urgency=low

  * New release
  - Uses mission-control's channel hander framework so Depend on it

 -- Ross Burton <ross@openedhand.com>  Fri, 24 Mar 2006 11:35:51 +0000

eds-sync (0.3-1osso1) unstable; urgency=low

  * Bugfix release, add contacts async
  * Change to osso versioning

 -- Ross Burton <ross@openedhand.com>  Thu, 23 Mar 2006 16:15:01 +0000

eds-sync (0.3) unstable; urgency=low

  * New release
  - Will delete TO_DELETE contacts
  - Maybe even your entire roster!

 -- Ross Burton <ross@openedhand.com>  Mon, 20 Mar 2006 12:30:53 +0000

eds-sync (0.2) unstable; urgency=low

  * New upstream release
    - Actually does something!

 -- Ross Burton <ross@openedhand.com>  Tue,  7 Mar 2006 16:11:33 +0000

eds-sync (0.1) unstable; urgency=low

  * First upload.

 -- Ross Burton <ross@openedhand.com>  Wed,  1 Mar 2006 17:11:56 +0000
